<?php

	$b = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );
	
	$benutzer_passwort_letzte_aenderung = $b[ 2 ][ "benutzer_passwort_letzte_aenderung" ];
	
	$warnschwelle = bcmul( bcmul( 3600, 24 ), 10 ); // 10 Tage vor Ablauf des Passworts wird gewarnt
	
	$pwd_gueltigkeitsdauer_tage = liefere_konfig( $mandant_name, "pwd_gueltigkeitsdauer_tage");

	$pwd_ablauf = bcadd( $benutzer_passwort_letzte_aenderung, bcmul( $pwd_gueltigkeitsdauer_tage, 86400, 0 ), 0 );

	$zeitspanne = bcsub( $pwd_ablauf, time(), 0 );
	
	$vergangene_zeit = berechne_zeitspanne( $zeitspanne );
	
	if ( $zeitspanne <= 0 )
	{
		$text = "Ihr Passwort ist abgelaufen";
	}
	else
	{
		$text = "Ihr Passwort wird bald ablaufen";
	}
	
	if ( $zeitspanne <= $warnschwelle )
	{
		$html = "<center><br /><span style='font-size:large;font-weight:bold;'>ACHTUNG: ".$text."!</span><br /><br /><span>Restzeit: ".$vergangene_zeit."</span><br /><br /><span>Bitte ändern Sie Ihr Passwort über die Benutzereinstellungen.</span><center><br />";
	}
	else
	{
		$_SESSION[ "plugin_kein_output" ] = "ja";
	}
	
	
	echo $html;
	$html = "";
	
?>